'# MWS Version: Version 2009.0 - Oct 14 2008 - 23:06:31

'# length = mm
'# frequency = GHz
'# time = ns
'# frequency range: fmin = 2 fmax = 3


'@ use template: Antenna (Wire)

' Template for Antenna With Ground Plane
' ======================================
' (CSTxMWSxONLY)
' draw the bounding box
Plot.DrawBox True
' set units to mm, ghz
With Units 
     .Geometry "mm" 
     .Frequency "ghz" 
     .Time "ns" 
End With 
' set background material to vacuum
With Background 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
End With 
' set boundary conditions to open, zmin to electric
With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With
' switch on FD-TET setting for accurate farfields
FDSolver.ExtrudeOpenBC "True" 
Mesh.FPBAAvoidNonRegUnite "True" 
Mesh.ConsiderSpaceForLowerMeshLimit "False" 
Mesh.MinimumStepNumber "5" 
Mesh.RatioLimit "20" 
Mesh.AutomeshRefineAtPecLines "True", "10"

'@ define material: Copper

With Material
     .Reset
     .Name "Copper"
.FrqType "static" 
.Type "Normal" 
.Epsilon "1" 
.Mue "1.0" 
.Kappa "5.8e+007" 
.TanD "0.0" 
.TanDFreq "0.0" 
.TanDGiven "False" 
.TanDModel "ConstTanD" 
.KappaM "0" 
.TanDM "0.0" 
.TanDMFreq "0.0" 
.TanDMGiven "False" 
.TanDMModel "ConstTanD" 
.DispModelEps "None" 
.DispModelMue "None" 
.DispersiveFittingSchemeEps "General 1st" 
.DispersiveFittingSchemeMue "General 1st" 
.UseGeneralDispersionEps "False" 
.UseGeneralDispersionMue "False" 
.FrqType "all" 
.Type "Lossy metal" 
.Mue "1.0" 
.Kappa "5.8e+007" 
.Rho "0.0" 
.ThermalType "Normal" 
.ThermalConductivity "401.0" 
.Colour "1", "1", "0" 
.Wireframe "False" 
.Transparency "0" 
.Create
End With

'@ new component: component1

Component.New "component1"

'@ define cylinder: component1:boom0

With Cylinder 
     .Reset 
     .Name "boom0" 
     .Component "component1" 
     .Material "Copper" 
     .OuterRadius "5" 
     .InnerRadius "4" 
     .Axis "z" 
     .Zrange "-.5", "booml" 
     .Xcenter "0" 
     .Ycenter "0" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: component1:boom1

With Cylinder 
     .Reset 
     .Name "boom1" 
     .Component "component1" 
     .Material "Copper" 
     .OuterRadius "5" 
     .InnerRadius "4" 
     .Axis "z" 
     .Zrange "-.5", "booml" 
     .Xcenter "0" 
     .Ycenter "boomd" 
     .Segments "0" 
     .Create 
End With

'@ rename component: component1 to: BOOM

Component.Rename "component1", "BOOM"

'@ new component: ELEMENTOS

Component.New "ELEMENTOS"

'@ define cylinder: ELEMENTOS:E10

With Cylinder 
     .Reset 
     .Name "E10" 
     .Component "ELEMENTOS" 
     .Material "Copper" 
     .OuterRadius ".5" 
     .InnerRadius "0" 
     .Axis "x" 
     .Xrange "0", "E10" 
     .Ycenter "0" 
     .Zcenter "D10" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: ELEMENTOS:E9

With Cylinder 
     .Reset 
     .Name "E9" 
     .Component "ELEMENTOS" 
     .Material "Copper" 
     .OuterRadius ".5" 
     .InnerRadius "0" 
     .Axis "x" 
     .Xrange "0", "-E9" 
     .Ycenter "0" 
     .Zcenter "D9" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: ELEMENTOS:E8

With Cylinder 
     .Reset 
     .Name "E8" 
     .Component "ELEMENTOS" 
     .Material "Copper" 
     .OuterRadius ".5" 
     .InnerRadius "0" 
     .Axis "x" 
     .Xrange "0", "E8" 
     .Ycenter "0" 
     .Zcenter "D8" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: ELEMENTOS:E7

With Cylinder 
     .Reset 
     .Name "E7" 
     .Component "ELEMENTOS" 
     .Material "Copper" 
     .OuterRadius ".5" 
     .InnerRadius "0" 
     .Axis "x" 
     .Xrange "0", "-E7" 
     .Ycenter "0" 
     .Zcenter "D7" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: ELEMENTOS:E6

With Cylinder 
     .Reset 
     .Name "E6" 
     .Component "ELEMENTOS" 
     .Material "Copper" 
     .OuterRadius "0.5" 
     .InnerRadius "0" 
     .Axis "x" 
     .Xrange "0", "E6" 
     .Ycenter "0" 
     .Zcenter "D6" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: ELEMENTOS:E5

With Cylinder 
     .Reset 
     .Name "E5" 
     .Component "ELEMENTOS" 
     .Material "Copper" 
     .OuterRadius "0.5" 
     .InnerRadius "0" 
     .Axis "x" 
     .Xrange "0", "-E5" 
     .Ycenter "0" 
     .Zcenter "D5" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: ELEMENTOS:E4

With Cylinder 
     .Reset 
     .Name "E4" 
     .Component "ELEMENTOS" 
     .Material "Copper" 
     .OuterRadius "0.5" 
     .InnerRadius "0" 
     .Axis "x" 
     .Xrange "0", "E4" 
     .Ycenter "0" 
     .Zcenter "D4" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: ELEMENTOS:E3

With Cylinder 
     .Reset 
     .Name "E3" 
     .Component "ELEMENTOS" 
     .Material "Copper" 
     .OuterRadius "0.5" 
     .InnerRadius "0" 
     .Axis "x" 
     .Xrange "0", "-E3" 
     .Ycenter "0" 
     .Zcenter "D3" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: ELEMENTOS:E2

With Cylinder 
     .Reset 
     .Name "E2" 
     .Component "ELEMENTOS" 
     .Material "Copper" 
     .OuterRadius "0.5" 
     .InnerRadius "0" 
     .Axis "x" 
     .Xrange "0", "E2" 
     .Ycenter "0" 
     .Zcenter "D2" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: ELEMENTOS:E1

With Cylinder 
     .Reset 
     .Name "E1" 
     .Component "ELEMENTOS" 
     .Material "Copper" 
     .OuterRadius "0.5" 
     .InnerRadius "0" 
     .Axis "x" 
     .Xrange "0", "-E1" 
     .Ycenter "0" 
     .Zcenter "D1" 
     .Segments "0" 
     .Create 
End With

'@ transform: translate ELEMENTOS:E1

With Transform 
     .Reset 
     .Name "ELEMENTOS:E1" 
     .Vector "0", "boomd", "0" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "True" 
     .TranslateAdvanced 
End With

'@ transform: translate ELEMENTOS:E3

With Transform 
     .Reset 
     .Name "ELEMENTOS:E3" 
     .Vector "0", "boomd", "0" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "True" 
     .TranslateAdvanced 
End With

'@ transform: translate ELEMENTOS:E5

With Transform 
     .Reset 
     .Name "ELEMENTOS:E5" 
     .Vector "0", "boomd", "0" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "True" 
     .TranslateAdvanced 
End With

'@ transform: translate ELEMENTOS:E7

With Transform 
     .Reset 
     .Name "ELEMENTOS:E7" 
     .Vector "0", "boomd", "0" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "True" 
     .TranslateAdvanced 
End With

'@ transform: translate ELEMENTOS:E9

With Transform 
     .Reset 
     .Name "ELEMENTOS:E9" 
     .Vector "0", "boomd", "0" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .TranslateAdvanced 
End With

'@ define cylinder: BOOM:CoaxInt

With Cylinder 
     .Reset 
     .Name "CoaxInt" 
     .Component "BOOM" 
     .Material "Copper" 
     .OuterRadius "Ci/2" 
     .InnerRadius "0" 
     .Axis "z" 
     .Zrange "-Lc-1", "0" 
     .Xcenter "0" 
     .Ycenter "(boomdia/2)-.5" 
     .Segments "0" 
     .Create 
End With

'@ new component: Coax

Component.New "Coax"

'@ define cylinder: Coax:CoaxDie

With Cylinder 
     .Reset 
     .Name "CoaxDie" 
     .Component "Coax" 
     .Material "Copper" 
     .OuterRadius "Ce/2" 
     .InnerRadius "Ci/2" 
     .Axis "z" 
     .Zrange "-Lc-1", "-1" 
     .Xcenter "0" 
     .Ycenter "(boomdia/2)-.5" 
     .Segments "0" 
     .Create 
End With

'@ change component: BOOM:CoaxInt to: Coax:CoaxInt

Solid.ChangeComponent "BOOM:CoaxInt", "Coax"

'@ define material: Teflon (PTFE) (lossy)

With Material
     .Reset
     .Name "Teflon (PTFE) (lossy)"
.FrqType "all" 
.Type "Normal" 
.Epsilon "2.08" 
.Mue "1.0" 
.Kappa "0.0" 
.TanD "0.0004" 
.TanDFreq "0.0" 
.TanDGiven "True" 
.TanDModel "ConstTanD" 
.KappaM "0.0" 
.TanDM "0.0" 
.TanDMFreq "0.0" 
.TanDMGiven "False" 
.TanDMModel "ConstKappa" 
.DispModelEps "None" 
.DispModelMue "None" 
.DispersiveFittingSchemeEps "General 1st" 
.DispersiveFittingSchemeMue "General 1st" 
.UseGeneralDispersionEps "False" 
.UseGeneralDispersionMue "False" 
.Rho "0.0" 
.ThermalType "Normal" 
.ThermalConductivity "0.2"
.SetActiveMaterial "all" 
.Colour "0.94", "0.82", "0.76" 
.Wireframe "False" 
.Transparency "0" 
.Create
End With

'@ change material: Coax:CoaxDie to: Teflon (PTFE) (lossy)

Solid.ChangeMaterial "Coax:CoaxDie", "Teflon (PTFE) (lossy)"

'@ define cylinder: Coax:CoaxExt

With Cylinder 
     .Reset 
     .Name "CoaxExt" 
     .Component "Coax" 
     .Material "Teflon (PTFE) (lossy)" 
     .OuterRadius "(Ce/2)+.5" 
     .InnerRadius "Ce/2" 
     .Axis "z" 
     .Zrange "-Lc-1", "-1" 
     .Xcenter "0" 
     .Ycenter "(boomdia/2)-.5" 
     .Segments "0" 
     .Create 
End With

'@ change material: Coax:CoaxExt to: Copper

Solid.ChangeMaterial "Coax:CoaxExt", "Copper"

'@ define cylinder: BOOM:solid1

With Cylinder 
     .Reset 
     .Name "solid1" 
     .Component "BOOM" 
     .Material "Copper" 
     .OuterRadius ".5" 
     .InnerRadius "0" 
     .Axis "y" 
     .Yrange "(boomdia/2)+.5", "boomd-(boomdia/2)+.5" 
     .Xcenter "0" 
     .Zcenter "-1.5" 
     .Segments "0" 
     .Create 
End With

'@ define cylinder: BOOM:solid2

With Cylinder 
     .Reset 
     .Name "solid2" 
     .Component "BOOM" 
     .Material "Copper" 
     .OuterRadius "0.5" 
     .InnerRadius "0" 
     .Axis "z" 
     .Zrange "-1.5", "0" 
     .Xcenter "0.0" 
     .Ycenter "boomd-(boomdia/2)+.5" 
     .Segments "0" 
     .Create 
End With

'@ define sphere: BOOM:solid3

With Sphere 
     .Reset 
     .Name "solid3" 
     .Component "BOOM" 
     .Material "Copper" 
     .Axis "z" 
     .CenterRadius "0.5" 
     .TopRadius "0" 
     .BottomRadius "0" 
     .Center "0", "boomd-(boomdia/2)+.5", "-1.5" 
     .Segments "0" 
     .Create 
End With

'@ change component: BOOM:solid1 to: Coax:solid1

Solid.ChangeComponent "BOOM:solid1", "Coax"

'@ change component: BOOM:solid2 to: Coax:solid2

Solid.ChangeComponent "BOOM:solid2", "Coax"

'@ change component: BOOM:solid3 to: Coax:solid3

Solid.ChangeComponent "BOOM:solid3", "Coax"

'@ boolean add shapes: Coax:solid1, Coax:solid2

Solid.Add "Coax:solid1", "Coax:solid2"

'@ boolean add shapes: Coax:solid1, Coax:solid3

Solid.Add "Coax:solid1", "Coax:solid3"

'@ pick face

Pick.PickFaceFromId "Coax:CoaxExt", "1"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "-1.3326906186362", "1.3326906186362" 
     .Yrange "3.1673093813638", "5.8326906186362" 
     .Zrange "-11", "-11" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define frequency range

Solver.FrequencyRange "2", "3"

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .HeatCapacity "0.0" 
     .Rho "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ define special solver parameters

With Solver 
     .TimeBetweenUpdates "1200" 
     .NumberOfPulseWidths "20" 
     .EnergyBalanceLimit "0.03" 
     .UseArfilter "False" 
     .ArMaxEnergyDeviation "0.1" 
     .ArPulseSkip "1" 
     .WaveguideBroadband "False" 
     .SetBBPSamples "5" 
     .SetSamplesFullDeembedding "20" 
     .MatrixDump "False" 
     .TimestepReduction "0.45" 
     .NumberOfSubcycles "4" 
     .SubcycleFillLimit "70" 
     .SetSubcycleState "Automatic" 
     .SetSubgridCycleState "Automatic" 
     .SimplifiedPBAMethod "False" 
     .UseParallelization "False" 
     .MaximumNumberOfThreads "16" 
     .TimeStepStabilityFactor "1.0" 
     .UseOpenBoundaryForHigherModes "True" 
     .SetModeFreqFactor "0.5" 
     .SurfaceImpedanceOrder "10" 
     .SetPortShielding "False" 
     .FrequencySamples "1001" 
     .ConsiderTwoPortReciprocity "True" 
     .UseTSTAtPort "True" 
     .SParaAdjustment "True" 
     .RestartAfterInstabilityAbort "True" 
     .HardwareAcceleration "False" 
     .AdaptivePortMeshing "True" 
     .AccuracyAdaptivePortMeshing "1" 
     .PassesAdaptivePortMeshing "4" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-80" 
     .MeshAdaption "False" 
     .AutoNormImpedance "True" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "10" 
     .LinesPerWavelength "10" 
     .MinimumStepNumber "5" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ boolean add shapes: BOOM:boom1, ELEMENTOS:E1

Solid.Add "BOOM:boom1", "ELEMENTOS:E1"

'@ boolean add shapes: BOOM:boom1, ELEMENTOS:E3

Solid.Add "BOOM:boom1", "ELEMENTOS:E3"

'@ boolean add shapes: BOOM:boom1, ELEMENTOS:E5

Solid.Add "BOOM:boom1", "ELEMENTOS:E5"

'@ boolean add shapes: BOOM:boom1, ELEMENTOS:E7

Solid.Add "BOOM:boom1", "ELEMENTOS:E7"

'@ boolean add shapes: BOOM:boom1, ELEMENTOS:E9

Solid.Add "BOOM:boom1", "ELEMENTOS:E9"

'@ boolean add shapes: BOOM:boom0, ELEMENTOS:E10

Solid.Add "BOOM:boom0", "ELEMENTOS:E10"

'@ boolean add shapes: BOOM:boom0, ELEMENTOS:E2

Solid.Add "BOOM:boom0", "ELEMENTOS:E2"

'@ boolean add shapes: BOOM:boom0, ELEMENTOS:E4

Solid.Add "BOOM:boom0", "ELEMENTOS:E4"

'@ boolean add shapes: BOOM:boom0, ELEMENTOS:E6

Solid.Add "BOOM:boom0", "ELEMENTOS:E6"

'@ boolean add shapes: BOOM:boom0, ELEMENTOS:E8

Solid.Add "BOOM:boom0", "ELEMENTOS:E8" 

